
import { switchMap } from 'rxjs/operators';
import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';

import { Resource } from 'src/app/models/resource.model';
import { ResourceService } from 'src/app/services/resource.service';

@Component({
  selector: 'app-resource-detail',
  templateUrl: './resource-detail.component.html',
  styleUrls: ['./resource-detail.component.scss'],
})
export class ResourceDetailComponent implements OnInit {

  resource: Resource;
  title: string;

  constructor(
    private _route: ActivatedRoute,
    private _resourceService: ResourceService,
  ) {
  }

  ngOnInit(): void {
    this.title = this._route.snapshot.data.title;
    this._route.paramMap.pipe(
      switchMap((params: ParamMap) => this._resourceService.findById(params.get('id'))))
      .subscribe((resource: Resource) => this.resource = resource);
  }
}
