import { Injectable } from '@angular/core';

@Injectable()
export class NavigationHistoryService {
  history: string[] = [];
  maxHistoryLength = 20; // Avoid to store too many url limite back history to 20

  constructor(
  ) { }

  add(url: string) {
    // If max size reach remove the oldest url
    if (this.history.length >= this.maxHistoryLength) {
      this.history.shift();
    }
    this.history.push(url);
  }

  getFromLast(index: number): string {
    const position = this.history.length - 1 - index;
    let res = null;
    if (position >= 0) {
      res = this.history[position];
    }
    return res;
  }
}
